{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    {% if( poEntité.iidActisousgroupe is defined) %}
        <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidActisousgroupe }}</div>
    {% else %}
        <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;"></div>
    {% endif %}
    <div id="CodeTable" style="display:none;">SGAB</div>
    <div id="NomEntité" style="display:none;">actiSsGroupesacti</div>
{% endblock %}

{% block formulaire %}
{# LG 20200813 début : pour que lors de l'ajout, PHP puisse savoir qu'il s'agit d'un SGAB #}
    <input type="hidden" id="inputNomEntité" name="NomEntité" value="actiSsgroupesacti">
{# LG 20200813 fin #}
{#LP 14/09/2020 debut retrait du formulaire groupe car non voulu#}
    {% if poForm.igroupe is defined %}
        <div class="form-group" style="display: none;">
            {# Génération du label. #}
            {{ form_label(poForm.igroupe, "Groupe", {'label_attr': {'class': 'col-sm-3 control-label'}}) }}

            <div class="col-sm-9">
                {{ form_widget(poForm.igroupe, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
{#LP 14/09/2020 fin#}
{#LP 14/09/2020 debut réorgannisation de l'affichage#}
<div class="LesChamps">
            
    <div class=" d-flex justify-content-start flex-wrap ">
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
        {{ form_label(poForm.cnom, "Nom", {'label_attr': {'class': 'col-sm-1 m-1 control-label'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    </div>
    
        <div class=" d-flex justify-content-start flex-wrap " style="margin-left: 20px;">
    <div class="form-group custom-checkbox custom-control col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
        {{ form_widget(poForm.ldansbilan, {'attr': {'class': 'form-control custom-control-input'}}) }}
        {{ form_label(poForm.ldansbilan, "Inclus dans le bilan", {'label_attr': {'class': 'col-sm-4 m-1 control-label custom-control-label'}}) }}
    </div>
    </div>

    <div class=" d-flex justify-content-start flex-wrap ">
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
        {{ form_label(poForm.ietablissement, "Etablissement", {'label_attr': {'class': 'col-sm-3 m-1 control-label'}}) }}
        <div class="col-sm-6 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.ietablissement, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    </div>

    <div class=" d-flex justify-content-start flex-wrap ">
    {% if poForm.icouleur is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
            {{ form_label(poForm.icouleur, "Couleur", {'label_attr': {'class': 'col-sm-2 m-1 control-label'}}) }}
            <div class="col-sm-1 d-flex justify-content-center align-items-center">
                {% if( poForm.vars.value.icouleur is defined) %}
                    <input type="Hidden" class="form-control" name="fEntityForm_actissgroupesacti[icouleur]" id="fEntityForm_actissgroupesacti_icouleur" value="{{ poForm.vars.value.icouleur }}" data-role="cboCouleur"/>
                {% else %}
                    <input type="Hidden" class="form-control" name="fEntityForm_actissgroupesacti[icouleur]" id="fEntityForm_actissgroupesacti_icouleur" value="16777215" data-role="cboCouleur"/>
                {% endif %}
                {% do poForm.icouleur.setRendered %}
            </div>
        </div>
    </div>
    {% endif %}
</div>

    <script>
        $(document).ready(function () {
            if (document.getElementById("fEntityForm_actissgroupesacti_IdentifiantEntité").textContent < 0) {
                $("#fEntityForm_actissgroupesacti_cnom, #fEntityForm_actissgroupesacti_ietablissement, #fEntityForm_actissgroupesacti_igroupe").prop("disabled", true);
                $('#bSupprimer_actiBaseSousGroupeGroupe').attr("disabled", true);
            } else {
                $('#bSupprimer_actiBaseSousGroupeGroupe').attr("disabled", false);
            }
            // Gestion de la cboCouleurs
            $("[data-role=cboCouleur]").cboCouleur();
        });
    </script>
{% endblock %}